import { world, system } from "@minecraft/server"
import { ActionFormData } from "@minecraft/server-ui"

import * as InfoBestiary from './infoBestiary.js';

const BACK_BUTTON = "textures/ui/recap_glyph_color_2x"

export function infoTreeEnt(player) {
    let actionForm = new ActionFormData().title('Tree Ent')
        .body('§6Health: §r\n180 §6\nLocation: §r\nForest §6\nDrops: §r\nMagic Root \n\n20%% chance to slow enemies down while holding in your offhand! §6\nAbility:§r\nBreaks through leaves to chase the player!')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareTreeEnt(player) {
    let actionForm = new ActionFormData().title('Cherry Tree Ent')
        .body('§6Health: §r\n240 §6\nLocation: §r\nCherry Grove §6\nDrops: §r\nMagic Root \n\n20%% chance to slow enemies down while holding in your offhand! §6\nAbility:§r\nBreaks through leaves to chase the player!')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoKingHermit(player) {
    let actionForm = new ActionFormData().title('King Hermit')
        .body('§6Health: §r\n170 §6\nLocation: §r\nBeaches §6\nDrops: §r\nShellmet \n\nUser gains speed while they stand on any sand or red sand blocks §6\nAbility:§r\nHeals inside of its shell at 50%% HP')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareKingHermit(player) {
    let actionForm = new ActionFormData().title('Golden King Hermit')
        .body('§6Health: §r\n210 §6\nLocation: §r\nDeserts §6\nDrops: §r\nShellmet \n\nUser gains speed while they stand on any sand or red sand blocks §6\nAbility:§r\nHeals inside of its shell at 50%% HP')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoMummy(player) {
    let actionForm = new ActionFormData().title('Mummy')
        .body('§6Health: §r\n170 §6\nLocation: §r\nDesert §6\nDrops: §r\nMummy Wraps \n\nUser is immune to poison/hunger while wearing §6\nAbility:§r\nUses his amulet to change his attack type')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareMummy(player) {
    let actionForm = new ActionFormData().title('Red Mummy')
        .body('§6Health: §r\n225 §6\nLocation: §r\nBadlands §6\nDrops: §r\nMummy Wraps \n\nUser is immune to poison/hunger while wearing §6\nAbility:§r\nUses his amulet to change his attack type')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoYeti(player) {
    let actionForm = new ActionFormData().title('Yeti')
        .body('§6Health: §r\n190 §6\nLocation: §r\nCold Biomes §6\nDrops: §r\nFrigid Horn \n\nGain health faster in cold biomes while in your offhand §6\nAbility:§r\nShoots deadly frost breath when in danger')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareYeti(player) {
    let actionForm = new ActionFormData().title('Arid Yeti')
        .body('§6Health: §r\n240 §6\nLocation: §r\nSavanna §6\nDrops: §r\nFrigid Horn \n\nGain health faster in cold biomes while in your offhand §6\nAbility:§r\nShoots deadly frost breath when in danger')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoSeaViper(player) {
    let actionForm = new ActionFormData().title('Sea Viper')
        .body('§6Health: §r\n190 §6\nLocation: §r\nCold Oceans §6\nDrops: §r\nViper Fang \n\nWhile underwater, gain night vision and resistance §6\nAbility:§r\nThrows the player around underwater')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareSeaViper(player) {
    let actionForm = new ActionFormData().title('Coral Sea Viper')
        .body('§6Health: §r\n225 §6\nLocation: §r\nCoral Reefs §6\nDrops: §r\nViper Fang \n\nWhile underwater, gain night vision and resistance §6\nAbility:§r\nThrows the player around underwater')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoToxicGator(player) {
    let actionForm = new ActionFormData().title('Toxic Gator')
        .body('§6Health: §r\n190 §6\nLocation: §r\nSwamps §6\nDrops: §r\nGator Tooth \n\nAttacks inflict poison when holding §6\nAbility:§r\nTosses the player upwards and occasionally poisons')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareToxicGator(player) {
    let actionForm = new ActionFormData().title('Frigid Toxic Gator')
        .body('§6Health: §r\n225 §6\nLocation: §r\nIce Spikes §6\nDrops: §r\nGator Tooth \n\nAttacks inflict poison when holding §6\nAbility:§r\nTosses the player upwards and occasionally poisons')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoPhoenix(player) {
    let actionForm = new ActionFormData().title('Phoenix')
        .body('§6Health: §r\n200 §6\nLocation: §r\nBadlands §6\nDrops: §r\nPhoenix Feather \n\nUpon death, the user will keep their items! §6\nAbility:§r\nRevives as a baby when it first dies')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRarePhoenix(player) {
    let actionForm = new ActionFormData().title('Wind Phoenix')
        .body('§6Health: §r\n250 §6\nLocation: §r\nStony Peaks §6\nDrops: §r\nPhoenix Feather \n\nUpon death, the user will keep their items! §6\nAbility:§r\nRevives as a baby when it first dies')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoBoneStalker(player) {
    let actionForm = new ActionFormData().title('Bone Stalker')
        .body('§6Health: §r\n190 §6\nLocation: §r\nDark Oak Forest §6\nDrops: §r\nBone Rattle \n\nSummons a Phantom Stalker to fight for you when you take fatal damage §6\nAbility:§r\nGoes invisible and blinds the player')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareBoneStalker(player) {
    let actionForm = new ActionFormData().title('Booged Bone Stalker')
        .body('§6Health: §r\n225 §6\nLocation: §r\nSwamp §6\nDrops: §r\nBone Rattle \n\nSummons a Phantom Stalker to fight for you when you take fatal damage §6\nAbility:§r\nGoes invisible and blinds the player')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}

export function infoWitchDoctor(player) {
    let actionForm = new ActionFormData().title('Witch Doctor')
        .body('§6Health: §r\n190 §6\nLocation: §r\nSparse Jungle §6\nDrops: §r\nJungle Pendant \n\nWhile in your offhand, killing mobs has a chance to grant resistance §6\nAbility:§r\nGoes invisible two times, leaving monsters behind')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
export function infoRareWitchDoctor(player) {
    let actionForm = new ActionFormData().title('Woodland Witch Doctor')
        .body('§6Health: §r\n250 §6\nLocation: §r\nOld Taiga/Spruce §6\nDrops: §r\nJungle Pendant \n\nWhile in your offhand, killing mobs has a chance to grant resistance §6\nAbility:§r\nGoes invisible two times, leaving monsters behind')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
}
/* 
export function infoPhoenix(player) {
    let actionForm = new ActionFormData().title('Phoenix')
        .body('')

    actionForm.button('Back', BACK_BUTTON)

    actionForm
        .show(player)
        .then(formData => {
            if (formData.canceled) { return; }
            //back button
            InfoBestiary.show(player)
        });
} */